Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.ip2
Class ObjectWorld

    java.lang.Object
      ix.ip2.ObjectWorld

    public class ObjectWorld

extends java.lang.Object

Maintains an context-layered, object-oriented view of a world-state.

Field Summary
`protected ContextMap` | `objectTable`
`static Symbol` | `S_TRUE`

Constructor Summary
`ObjectWorld()`
`ObjectWorld(java.util.Map worldState)`

Method Summary
`protected java.lang.Object` | `_getPropValue(Symbol prop, java.lang.Object obj)`
`void` | `addPropValueIfNew(Symbol prop, java.lang.Object obj, java.lang.Object v)`
`void` | `addState(java.util.Map delta)`
`void` | `deleteState(java.util.Map delta)`
`java.lang.Object` | `getPropValue(Symbol prop, java.lang.Object obj)`
`boolean` | `isDistributedSetPattern(LList pattern)`
`boolean` | `isPropertyPattern(LList pattern)`
`void` | `removePropValueElement(Symbol prop, java.lang.Object obj, java.lang.Object v)`
`void` | `setPropValue(Symbol prop, java.lang.Object obj, java.lang.Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### S_TRUE

    public static final Symbol S_TRUE

### objectTable

    protected ContextMap objectTable

Constructor Detail

### ObjectWorld

    public ObjectWorld()

### ObjectWorld

    public ObjectWorld(java.util.Map worldState)

Method Detail

### getPropValue

    public java.lang.Object getPropValue(Symbol prop,
                                         java.lang.Object obj)

### _getPropValue

    protected java.lang.Object _getPropValue(Symbol prop,
                                             java.lang.Object obj)

### setPropValue

    public void setPropValue(Symbol prop,
                             java.lang.Object obj,
                             java.lang.Object value)

### addPropValueIfNew

    public void addPropValueIfNew(Symbol prop,
                                  java.lang.Object obj,
                                  java.lang.Object v)

### removePropValueElement

    public void removePropValueElement(Symbol prop,
                                       java.lang.Object obj,
                                       java.lang.Object v)

### addState

    public void addState(java.util.Map delta)

### deleteState

    public void deleteState(java.util.Map delta)

### isPropertyPattern

    public boolean isPropertyPattern(LList pattern)

### isDistributedSetPattern

    public boolean isDistributedSetPattern(LList pattern)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD